Loading...
Searching...
No Matches
gridfire::exceptions::SUNDIALSError Class Reference

Base class for exceptions related to SUNDIALS solver operations. More...

`#include <error_solver.h>`

Inheritance diagram for gridfire::exceptions::SUNDIALSError:
[legend]
Collaboration diagram for gridfire::exceptions::SUNDIALSError:
[legend]

## Additional Inherited Members

Public Member Functions inherited from gridfire::exceptions::GridFireError
| GridFireError (std::string msg)
const char * | what () const noexcept override

## Detailed Description

Base class for exceptions related to SUNDIALS solver operations.

This class serves as the base for all exceptions specific to SUNDIALS solver errors in the GridFire library.

The documentation for this class was generated from the following file:

- src/include/gridfire/exceptions/error_solver.h